  /* DECLARA.H                                                */

#ifndef declara_h
#define declara_h

#include "definic.h"

/*--------------------------------------------------------------*/
/* Declaracion de las Estructuras de Datos Globales             */
/*--------------------------------------------------------------*/

/*************  Definicion de arreglo donde se guardan los mensajes *******/

texpr mensajes[MAX_MENSAJES];

extern int total_mensajes;		/* VTP. 30/Abr/1997.  Cantidad de mensajes */

texpr claves[MAX_CLAVES];

texpr claves_manta[MAX_CLAVES]; 

int flag_emacs;			/* permite saber si opera la interfaz emacs */

/*************  Datos Globales del Modulo de Definicion de Tipos **********/

nodo_tad *tad;			/* Apunt. a la lista de TADs      */

nodo_tad *ult_tad;		/* Apunt. al ult. TAD de la lista */

nodo_tad *tad_actual;		/* Apunt. al TAD procesado actual/ */

nodo_tad *tad_ed;		/* Apunt. al TAD editado actual/   */

cad20 editor[5];		/* Parametros del editor          */

cad20 direct[255];		/* Directorios usados por manta   */

texpr nombre_usuario;		/* Nombre del usuario             */

int fila, columna;

texpr token;

int num_ed;			/* Num. de la linea siendo editada */

short desea_ayuda_tuplas_comp;	/* 1, Si el usuario desea */
						  /* ayuda, 0, Sino.  */

cad50 posic_param_incompl;
					/* Posicion en notac. del argum. */
					/* no completo dentro del arbol  */
					/* de la expresion.              */


nodo_nombre *parametros;	/* Apunt. a la lista de parametros */
					/* se desea desplegar en el menu  */
					/* de parametros                  */


/*************  Datos Globales del Modulo de Representaciones    **********/

nodo_tad *represent;	/* Apunt. a la lista de represents */

nodo_tad *ult_represent;	/* Apunt. a la ult. represent de la lista */


/*************   Datos globales del Modulo de Teoremas  *******************/

nodo_demost *unproved;
/*-- Lista de conjeturas no probadas. --*/
nodo_demost *ult_unproved;
/*-- Ultima no probada.               --*/

nodo_demost *proved;
/*-- Lista de conjetruas probadas.    --*/
nodo_demost *ult_proved;
/*-- Ultima probada.                  --*/

nodo_igualdad *especiales;
/*-- Son reglas que se aplican con    --*/
/*-- politicas especiales.            --*/

/******************* Variables globales de MENUS  ******************/

ptr_menu menus_manta[MAX_MENUS];
/*-- Menus del programa          --*/



#endif
