/************************************************************************
* Modulo : manta                           Archivo: manta.c             *
* Fecha creacion : 21/Jan/92                                            *
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*
* Declaracion de funciones comunes a los TADs                           *
*************************************************************************
* Autores: Cesar A. Munoz H.                                            *
************************************************************************/

       /*-------------------------------------------------------+
       | Inclusion de las librerias estandar                    |
       +-------------------------------------------------------*/
 
#include <stdio.h>

       /*-------------------------------------------------------+
       | Inclusion de Constantes, Tipos, Macros y de prototipos |
       | de las funciones externas del proyecto.                |
       +-------------------------------------------------------*/
 
#include "manta.h"

        /*------------------------------------------------------+
        |      Definicion de las funciones de este modulo       |
        +------------------------------------------------------*/

/************************************************************************
* int  FACT(int n)                                                      *
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*
* PRE: True                                                             *
* POST: FACT = n!                                                       *
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*
* Fecha creacion : 17/Jan/92                                            *
************************************************************************/
 
int  FACT(int n)                                                     
{/*--------------------------------------------------------------------*/
    int i;
    int f;
    
    for(i = 0,f=1;i!=n;i++,f=f*i);
    return(f);

/*--------------------------------------------------------------------*/}

/************************************************************************
* int  EXP(int b, int n)                                                *
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*
* PRE: True                                                             *
* POST: EXP = b**n                                                      *
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*
* Fecha creacion : 17/Jan/92                                            *
************************************************************************/
 
int  EXP(int b, int n)                                              
{/*--------------------------------------------------------------------*/
    int i;
    int e;
    
    for(i = 0,e=1;i!=n;e=e*b,i++);
    return(e);

/*--------------------------------------------------------------------*/}

