  /*-------------------------------------------------------------------*/
/*  Definicion de las rutinas del modulo de PROTOTIPOS               */
/*-------------------------------------------------------------------*/

/*------- Prototipos de funciones en man_prototip.c ----------*/

extern void directorio_prot (void);
extern void generar_all_prot (nodo_tad * t, int autom);
extern void generar_constructoras (nodo_tad * t, int automat);
extern void generar_selectoras (nodo_tad * t, int autom);
extern void generar_main (nodo_tad * t);
extern void generar_make (nodo_tad * t);
extern void editar_prot_aux (texpr nombre);
extern void editar_prot (nodo_tad * t);
extern void nuevo_prototipo (nodo_tad * t, int autom);
extern void compilar (nodo_tad * t);
extern void llamar_al_compilador (nodo_tad * t);
extern void ejecutar (nodo_tad * t);

/*-------  Prototipos de funciones prototipos.c   ------------*/
extern void copiar_plantilla_encab (FILE * fplant, FILE * fdef, nodo_tad * t);
extern void copiar_plantilla (FILE * fplant, FILE * fdef);
extern void crear_defs_defines (FILE * fplant, FILE * fdef, nodo_tad * t);
extern void crear_defs_typedef (FILE * fplant, FILE * fdef, nodo_tad * t,
				int autom);
extern void crear_defs_macros (FILE * fplant, FILE * fdef, nodo_tad * t,
			       int autom);
extern void crear_func_includes (FILE * fplant, FILE * ffunc,
				 nodo_tad * t, int tip);
extern void crear_funciones (nodo_tad * t, int cons, int sel /*,
			     nodo_nombre * nom*/);
extern void crear_headers (nodo_tad * t);
extern void crear_interfaz (nodo_tad * t, int autom);
extern void crear_f_crear_menu (FILE * finter, nodo_tad * t, int *op_exit);
extern void crear_f_admon_menu (FILE * finter, nodo_tad * t, int op_exit);
extern void crear_gen_imprimir (FILE * finter, int sangria, int es_else/*,
				nodo_tad * t*/, nodo_generadora * gen);
extern void crear_f_imprimir_obj (FILE * finter, nodo_tad * t, int autom);
extern void crear_f_leer_imp_obj (FILE * finter, nodo_tad * t);
extern void crear_gen_salvar (FILE * finter, int sangria, int es_else,
			      /*nodo_tad * t,*/ nodo_generadora * gen);
extern void crear_f_salvar_obj (FILE * finter, nodo_tad * t, int autom);
extern void crear_gen_cargar (FILE * finter, int sangria, int es_else,
			      nodo_tad * t, nodo_generadora * gen);
extern void crear_f_cargar_obj (FILE * finter, nodo_tad * t, int autom);
extern void crear_gen_copiar (FILE * finter, int sangria, int es_else,
			      nodo_tad * t, nodo_generadora * gen);
extern void crear_f_copiar_obj (FILE * finter, nodo_tad * t, int autom);
extern void crear_gen_borrar (FILE * finter, int sangria, int es_else,
			      nodo_generadora * gen);
extern void crear_f_borrar_obj (FILE * finter, nodo_tad * t, int autom);
extern void crear_defs (nodo_tad * t, int autom);
extern void crear_main (nodo_tad * t);
extern void crear_switch_main (FILE * fmain, nodo_tad * t);
extern void crear_selectora (FILE * fplant, FILE * ffunc, nodo_tad * t,
			     nodo_select * sel, int autom);
extern void codigo_axioma (FILE * ffunc, nodo_tad * t, nodo_select * sel,
			   nodo_igualdad * axio);
extern void sust_lado_izq (FILE * ffunc, nodo_expresion * lado_izq, Ptr_tabla sust,
			   int es_else, int *sangria);
extern void sust_r_lado_izq (FILE * ffunc, nodo_expresion * expo,
			     nodo_expresion * exps, Ptr_tabla sust,
			     int es_else, int *sangria);
extern void codigo_bool (FILE * ffunc, nodo_expresion * expr);
extern void codigo_nat (FILE * ffunc, nodo_expresion * expr);
extern void codigo_expresion (FILE * ffunc, nodo_expresion * expr);
extern void codigo_lado_der (FILE * ffunc, nodo_tad * t, nodo_select * sel,
			     nodo_expresion * lado_der,
			     cad20 tipo_izq, int sangria);
extern void crear_generadora (FILE * encf, FILE * ffunc, nodo_generadora * gen,
			      nodo_tad * t, int autom);
extern void codigo_generadora (FILE * ffunc, nodo_generadora * gen,
			       nodo_tad * t);
extern void encabezado_sel (FILE * ffunc, nodo_select * sel);
extern void encabezado_gen (FILE * ffunc, nodo_generadora * gen,
			    nodo_tad * t);
extern void selectora_comentario (FILE * fplant, FILE * ffunc, nodo_select * sel);
extern void generadora_comentario (FILE * fplant, FILE * ffunc,
				   nodo_generadora * gen, nodo_tad * t);

void lineas_def(FILE *,FILE *,char *);

extern void linea_fecha (FILE * fplant, FILE * farch);

extern void crear_case_gen (FILE * finter, int sangria, int op,
			    nodo_generadora * gen, nodo_tad * t);
extern void crear_case_sel (FILE * finter, int sangria, int op,
			    nodo_select * sel);
extern void crear_make (nodo_tad * t);
extern void crear_secciones (FILE * fmake, nodo_tad * t);

extern void manejar_prototipos (void);
